Skip to main content
GET
/
papers
/
{id}
Get a paper with all its paragraphs
curl --request GET \
  --url https://api.urantia.dev/papers/{id}
import requests

url = "https://api.urantia.dev/papers/{id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.urantia.dev/papers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "paper": {
      "id": "<string>",
      "partId": "<string>",
      "title": "<string>",
      "sortId": "<string>",
      "labels": [
        "<string>"
      ],
      "video": {},
      "topEntities": [
        {
          "id": "<string>",
          "name": "<string>",
          "type": "<string>",
          "count": 1
        }
      ]
    },
    "paragraphs": [
      {
        "id": "<string>",
        "standardReferenceId": "<string>",
        "sortId": "<string>",
        "paperId": "<string>",
        "sectionId": "<string>",
        "partId": "<string>",
        "paperTitle": "<string>",
        "sectionTitle": "<string>",
        "paragraphId": "<string>",
        "text": "<string>",
        "htmlText": "<string>",
        "labels": [
          "<string>"
        ],
        "audio": {},
        "language": "<string>",
        "entities": [
          {
            "id": "<string>",
            "name": "<string>"
          }
        ],
        "bibleParallels": [
          {
            "chunkId": "<string>",
            "reference": "<string>",
            "bookCode": "<string>",
            "chapter": 123,
            "verseStart": 123,
            "verseEnd": 123,
            "text": "<string>",
            "similarity": 123,
            "rank": 123,
            "source": "<string>",
            "embeddingModel": "<string>"
          }
        ],
        "urantiaParallels": [
          {
            "id": "<string>",
            "standardReferenceId": "<string>",
            "paperId": "<string>",
            "paperTitle": "<string>",
            "sectionTitle": "<string>",
            "text": "<string>",
            "similarity": 123,
            "rank": 123,
            "source": "<string>",
            "embeddingModel": "<string>"
          }
        ]
      }
    ]
  }
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>"
}

Path Parameters

id
string
required

Query Parameters

include
string
format
enum<string>
default:default
Available options:
default,
rag
lang
enum<string>
default:eng
Available options:
eng,
es,
fr,
pt,
de,
ko

Response

Paper with paragraphs

data
object
required